#delimit;

/*******************************************************************
***                   hier folgt der uebliche Dateikopf                     ***
*******************************************************************
*  Workspace bereitstellen, Operationspeiher erhoehen und
*  Arbeitsverzeichnis wechseln.  Danach log-datei erstellen.
*******************************************************************/

clear;   set mem 20m;   cd u:\ue5;  set more off;

cap log close;  log using uebung5, text replace;


/**      Datensatz oeffnen und als Arbeitsdatei speichern       **/

use affairs; save uebung5, replace;


/*******************************************************************
***                                A u f g a b e   1a                                   ***
*******************************************************************/

sum naffairs;
hist  naffairs, d;

tab relig;           gen notantirel=notrel+anti;
tab ratemarr;    gen unhvryunh=unhap+vryunhap;

poisson naffairs male age yrsmarr kids educ vryhap unhvryunh vryrel notantirel;

mfx compute;

sum yrsmarr;
mfx compute, at(yrsmarr=25, age=45);


***     Pearson Statistik der Anpassungsguete     ***;

poisgof, pearson;



/*******************************************************************
***                                A u f g a b e   1b                                   ***
*******************************************************************/

zip naffairs  male age yrsmarr kids educ vryhap unhvryunh vryrel notantirel, inflate(_cons);

mfx compute;
mfx compute, at(yrsmarr=25, age=45);

gen phi = 1/(1+exp(-1.088854));
gen phi_factor = 1/(1-phi);

sum phi phi_factor;


***     Pearson Statistik der Anpassungsguete     ***;


*  a) Vorhersagen;

*  lineare Vorhersage x*beta-dach;

predict xb, xb;


*  vorhergesagte Erwartungswert und Varianz;

gen mean = exp(xb) * ( 1- phi );
gen var=mean * ( 1 + phi * exp(xb) );

predict mean_affair;      sum mean_affair mean var;



*  b) Berechnung der Statistik;

egen pearson=sum( ((naffairs-mean)^2) / var );

gen p_wert=chi2tail(591,pearson);
gen cr_wert=invchi2(591,0.95);

sum pearson cr_wert p_wert;



********************************************************************;
save uebung5, replace;

********************************************************************;
log close;
